Subject: Re: [PATCH v8 1/2] media: dt-bindings: Add CSI Pixel Formatter DT bindings

From: Laurent Pinchart <[email-masked]>
Date: Wed, 27 May 2026 13:45:04 +0200

On Wed, May 27, 2026 at 11:37:34AM +0200, Krzysztof Kozlowski wrote:
> On 26/05/2026 11:44, Laurent Pinchart wrote:
> >>> +  - |
> >>> +    #include <dt-bindings/clock/nxp,imx95-clock.h>
> >>> +
> >>> +    syscon@4ac10000 {
> >>> +        compatible = "nxp,imx95-camera-csr", "syscon";
> >>
> >> Drop entire node, not relevant. Or actually this example could be in the
> >> parent binding example.
> > 
> > I asked for this in the review of a previous version. The example only
> > stated "formatter@20" and it was not mentioned anywhere that the device
> > was supposed to be a child node of a syscon. The driver reads the reg
> 
> Binding does not have to state that. Parent's device binding will state
> that.
> 
> > property and uses it as an offset to the regmap of the syscon, I wanted
> > to see where/how the node was meant to be integrated in DT.
> 
> Sure, parent's device schema should have complete example. But we never
> add the parent compatibles to the child schema - that's leading to
> additional work later with no real benefits (that's only example, so no
> real code except maintenance effort).

OK. There was no mention of the child in the parent's bindings in the
previous version. Now that it's being fixed, we can drop the parent
here.

-- 
Regards,

Laurent Pinchart